### Virtual Method

# Camel DataWrapper write_to_output_stream_sync

since: 3.12

#### Declaration [src]

    gssize
    write_to_output_stream_sync (
      CamelDataWrapper* data_wrapper,
      GOutputStream* output_stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Writes the content of `data_wrapper` to `output_stream` in a machine-independent format appropriate for the data.

This function may block even if the given output stream does not. For example, the content may have to be fetched across a network before it can be written to `output_stream`. .

Available since: 3.12

#### Parameters

`output_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

The number of bytes written, or -1 on error.